summaryrefslogtreecommitdiff
path: root/parabolaiso
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2021-08-02 18:24:56 -0400
committerDavid P <megver83@parabola.nu>2021-08-02 18:24:56 -0400
commit8b185792cce1c515d985e327741660207dd5a110 (patch)
treef3ec438c0fbcafee646fefa634edd3c113211b98 /parabolaiso
parente09959ed0aba19e6b7f6789c1c57632414c5ec4b (diff)
sync with archiso
archiso: 0f3a83a (HEAD -> master, origin/master, origin/HEAD) Merge branch 'issues/47' e589101 (origin/issues/47) gitlab-ci: Call renamed check target 874166e Makefile: Remove mkinitcpio-archiso specific targets 571ea81 README.rst: Remove initcpio, fix formatting 75d36d2 Remove mkinitcpio-archiso files Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'parabolaiso')
-rw-r--r--parabolaiso/initcpio/hooks/parabolaiso285
-rw-r--r--parabolaiso/initcpio/hooks/parabolaiso_loop_mnt45
-rw-r--r--parabolaiso/initcpio/hooks/parabolaiso_pxe_common81
-rw-r--r--parabolaiso/initcpio/hooks/parabolaiso_pxe_http74
-rw-r--r--parabolaiso/initcpio/hooks/parabolaiso_pxe_nbd53
-rw-r--r--parabolaiso/initcpio/hooks/parabolaiso_pxe_nfs44
-rw-r--r--parabolaiso/initcpio/hooks/parabolaiso_shutdown10
-rw-r--r--parabolaiso/initcpio/install/parabolaiso36
-rw-r--r--parabolaiso/initcpio/install/parabolaiso_kms30
-rw-r--r--parabolaiso/initcpio/install/parabolaiso_loop_mnt13
-rw-r--r--parabolaiso/initcpio/install/parabolaiso_pxe_common26
-rw-r--r--parabolaiso/initcpio/install/parabolaiso_pxe_http17
-rw-r--r--parabolaiso/initcpio/install/parabolaiso_pxe_nbd17
-rw-r--r--parabolaiso/initcpio/install/parabolaiso_pxe_nfs17
-rw-r--r--parabolaiso/initcpio/install/parabolaiso_shutdown20
-rw-r--r--parabolaiso/initcpio/script/parabolaiso_shutdown41
16 files changed, 0 insertions, 809 deletions
diff --git a/parabolaiso/initcpio/hooks/parabolaiso b/parabolaiso/initcpio/hooks/parabolaiso
deleted file mode 100644
index daac88b..0000000
--- a/parabolaiso/initcpio/hooks/parabolaiso
+++ /dev/null
@@ -1,285 +0,0 @@
-#!/bin/ash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-# args: source, newroot, mountpoint
-_mnt_dmsnapshot() {
- local img="${1}"
- local newroot="${2}"
- local mnt="${3}"
- local img_fullname="${img##*/}";
- local img_name="${img_fullname%%.*}"
- local dm_snap_name="${dm_snap_prefix}_${img_name}"
- local ro_dev ro_dev_size rw_dev
-
- ro_dev="$(losetup --find --show --read-only -- "${img}")"
- echo "${ro_dev}" >> /run/parabolaiso/used_block_devices
- ro_dev_size="$(blockdev --getsz "${ro_dev}")"
-
- if [ "${cow_persistent}" = "P" ]; then
- if [ -f "/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow" ]; then
- msg ":: Found '/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow', using as persistent."
- else
- msg ":: Creating '/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow' as persistent."
- truncate -s "${cow_spacesize}" "/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow"
- fi
- else
- if [ -f "/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow" ]; then
- msg ":: Found '/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow' but non-persistent requested, removing."
- rm -f "/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow"
- fi
- msg ":: Creating '/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow' as non-persistent."
- truncate -s "${cow_spacesize}" "/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow"
- fi
-
- rw_dev="$(losetup --find --show "/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow")"
- echo "${rw_dev}" >> /run/parabolaiso/used_block_devices
-
- dmsetup create "${dm_snap_name}" --table \
- "0 ${ro_dev_size} snapshot ${ro_dev} ${rw_dev} ${cow_persistent} ${cow_chunksize}"
-
- if [ "${cow_persistent}" != "P" ]; then
- rm -f "/run/parabolaiso/cowspace/${cow_directory}/${img_name}.cow"
- fi
-
- _mnt_dev "/dev/mapper/${dm_snap_name}" "${newroot}${mnt}" "-w" "defaults"
- readlink -f "/dev/mapper/${dm_snap_name}" >> /run/parabolaiso/used_block_devices
-}
-
-# args: source, newroot, mountpoint
-_mnt_overlayfs() {
- local src="${1}"
- local newroot="${2}"
- local mnt="${3}"
- mkdir -p "/run/parabolaiso/cowspace/${cow_directory}/upperdir" "/run/parabolaiso/cowspace/${cow_directory}/workdir"
- mount -t overlay -o \
- "lowerdir=${src},upperdir=/run/parabolaiso/cowspace/${cow_directory}/upperdir,workdir=/run/parabolaiso/cowspace/${cow_directory}/workdir" \
- airootfs "${newroot}${mnt}"
-}
-
-
-# args: /path/to/image_file, mountpoint
-_mnt_sfs() {
- local img="${1}"
- local mnt="${2}"
- local img_fullname="${img##*/}"
- local sfs_dev
-
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ "${copytoram}" = "y" ]; then
- msg -n ":: Copying squashfs image to RAM..."
-
- # in case we have pv use it to display copy progress feedback otherwise
- # fallback to using plain cp
- if command -v pv > /dev/null 2>&1; then
- echo ""
- (pv "${img}" > "/run/parabolaiso/copytoram/${img_fullname}")
- local rc=$?
- else
- (cp -- "${img}" "/run/parabolaiso/copytoram/${img_fullname}")
- local rc=$?
- fi
-
- if [ $rc != 0 ]; then
- echo "ERROR: while copy '${img}' to '/run/parabolaiso/copytoram/${img_fullname}'"
- launch_interactive_shell
- fi
-
- img="/run/parabolaiso/copytoram/${img_fullname}"
- msg "done."
- fi
- sfs_dev="$(losetup --find --show --read-only -- "${img}")"
- echo "${sfs_dev}" >> /run/parabolaiso/used_block_devices
- _mnt_dev "${sfs_dev}" "${mnt}" "-r" "defaults"
-}
-
-# args: /path/to/image_file, mountpoint
-_mnt_erofs() {
- local img="${1}"
- local mnt="${2}"
- local img_fullname="${img##*/}"
- local erofs_dev
-
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ "${copytoram}" = "y" ]; then
- msg -n ":: Copying EROFS image to RAM..."
- if ! cp -- "${img}" "/run/parabolaiso/copytoram/${img_fullname}" ; then
- echo "ERROR: while copy '${img}' to '/run/parabolaiso/copytoram/${img_fullname}'"
- launch_interactive_shell
- fi
- img="/run/parabolaiso/copytoram/${img_fullname}"
- msg "done."
- fi
- erofs_dev="$(losetup --find --show --read-only -- "${img}")"
- echo "${erofs_dev}" >> /run/parabolaiso/used_block_devices
- _mnt_dev "${erofs_dev}" "${mnt}" "-r" "defaults" "erofs"
-}
-
-# args: device, mountpoint, flags, opts
-_mnt_dev() {
- local dev="${1}"
- local mnt="${2}"
- local flg="${3}"
- local opts="${4}"
- local fstype="${5:-auto}"
-
- mkdir -p "${mnt}"
-
- msg ":: Mounting '${dev}' to '${mnt}'"
-
- while ! poll_device "${dev}" 30; do
- echo "ERROR: '${dev}' device did not show up after 30 seconds..."
- echo " Falling back to interactive prompt"
- echo " You can try to fix the problem manually, log out when you are finished"
- launch_interactive_shell
- done
-
- if mount -t "${fstype}" -o "${opts}" "${flg}" "${dev}" "${mnt}"; then
- msg ":: Device '${dev}' mounted successfully."
- else
- echo "ERROR; Failed to mount '${dev}'"
- echo " Falling back to interactive prompt"
- echo " You can try to fix the problem manually, log out when you are finished"
- launch_interactive_shell
- fi
-}
-
-_verify_checksum() {
- local _status
- cd "/run/parabolaiso/bootmnt/${parabolaisobasedir}/${arch}" || exit 1
- sha512sum -c airootfs.sha512 > /tmp/checksum.log 2>&1
- _status=$?
- cd -- "${OLDPWD}" || exit 1
- return "${_status}"
-}
-
-_verify_signature() {
- local _status
- local sigfile="${1}"
- cd "/run/parabolaiso/bootmnt/${parabolaisobasedir}/${arch}" || exit 1
- gpg --homedir /gpg --status-fd 1 --verify "${sigfile}" 2>/dev/null | grep -qE '^\[GNUPG:\] GOODSIG'
- _status=$?
- cd -- "${OLDPWD}" || exit 1
- return ${_status}
-}
-
-run_hook() {
- [ -z "${arch}" ] && arch="$(uname -m)"
- [ -z "${copytoram_size}" ] && copytoram_size="75%"
- [ -z "${parabolaisobasedir}" ] && parabolaisobasedir="parabola"
- [ -z "${dm_snap_prefix}" ] && dm_snap_prefix="parabola"
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- [ -z "${parabolaisodevice}" ] && parabolaisodevice="/dev/disk/by-label/${parabolaisolabel}"
- [ -z "${cow_spacesize}" ] && cow_spacesize="256M"
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ -n "${cow_label}" ]; then
- cow_device="/dev/disk/by-label/${cow_label}"
- [ -z "${cow_persistent}" ] && cow_persistent="P"
- elif [ -n "${cow_device}" ]; then
- [ -z "${cow_persistent}" ] && cow_persistent="P"
- else
- cow_persistent="N"
- fi
-
- [ -z "${cow_flags}" ] && cow_flags="defaults"
- [ -z "${cow_directory}" ] && cow_directory="persistent_${parabolaisolabel}/${arch}"
- [ -z "${cow_chunksize}" ] && cow_chunksize="8"
-
- # set mount handler for parabolaiso
- export mount_handler="parabolaiso_mount_handler"
-}
-
-# This function is called normally from init script, but it can be called
-# as chain from other mount handlers.
-# args: /path/to/newroot
-parabolaiso_mount_handler() {
- local newroot="${1}"
- local sigfile
-
- if ! mountpoint -q "/run/parabolaiso/bootmnt"; then
- _mnt_dev "${parabolaisodevice}" "/run/parabolaiso/bootmnt" "-r" "defaults"
- if [ "${copytoram}" != "y" ]; then
- readlink -f "${parabolaisodevice}" >> /run/parabolaiso/used_block_devices
- fi
- fi
-
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ "${checksum}" = "y" ]; then
- if [ -f "/run/parabolaiso/bootmnt/${parabolaisobasedir}/${arch}/airootfs.sha512" ]; then
- msg -n ":: Self-test requested, please wait..."
- if _verify_checksum; then
- msg "done. Checksum is OK, continue booting."
- else
- echo "ERROR: one or more files are corrupted"
- echo "see /tmp/checksum.log for details"
- launch_interactive_shell
- fi
- else
- echo "ERROR: checksum=y option specified but ${parabolaisobasedir}/${arch}/airootfs.sha512 not found"
- launch_interactive_shell
- fi
- fi
-
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ "${verify}" = "y" ]; then
- if [ -f "/run/parabolaiso/bootmnt/${parabolaisobasedir}/${arch}/airootfs.sfs.sig" ]; then
- sigfile="airootfs.sfs.sig"
- elif [ -f "/run/parabolaiso/bootmnt/${parabolaisobasedir}/${arch}/airootfs.erofs.sig" ]; then
- sigfile="airootfs.erofs.sig"
- fi
- if [ -n "${sigfile}" ]; then
- msg -n ":: Signature verification requested, please wait..."
- if _verify_signature "${sigfile}"; then
- msg "done. Signature is OK, continue booting."
- else
- echo "ERROR: one or more files are corrupted"
- launch_interactive_shell
- fi
- else
- echo "ERROR: verify=y option specified but GPG signature not found in ${parabolaisobasedir}/${arch}/"
- launch_interactive_shell
- fi
- fi
-
- if [ "${copytoram}" = "y" ]; then
- msg ":: Mounting /run/parabolaiso/copytoram (tmpfs) filesystem, size=${copytoram_size}"
- mkdir -p /run/parabolaiso/copytoram
- mount -t tmpfs -o "size=${copytoram_size}",mode=0755 copytoram /run/parabolaiso/copytoram
- fi
-
- if [ -n "${cow_device}" ]; then
- _mnt_dev "${cow_device}" "/run/parabolaiso/cowspace" "-r" "${cow_flags}"
- readlink -f "${cow_device}" >> /run/parabolaiso/used_block_devices
- mount -o remount,rw "/run/parabolaiso/cowspace"
- else
- msg ":: Mounting /run/parabolaiso/cowspace (tmpfs) filesystem, size=${cow_spacesize}..."
- mkdir -p /run/parabolaiso/cowspace
- mount -t tmpfs -o "size=${cow_spacesize}",mode=0755 cowspace /run/parabolaiso/cowspace
- fi
- mkdir -p "/run/parabolaiso/cowspace/${cow_directory}"
- chmod 0700 "/run/parabolaiso/cowspace/${cow_directory}"
-
- if [ -f "/run/parabolaiso/bootmnt/${parabolaisobasedir}/${arch}/airootfs.sfs" ]; then
- _mnt_sfs "/run/parabolaiso/bootmnt/${parabolaisobasedir}/${arch}/airootfs.sfs" "/run/parabolaiso/airootfs"
- elif [ -f "/run/parabolaiso/bootmnt/${parabolaisobasedir}/${arch}/airootfs.erofs" ]; then
- _mnt_erofs "/run/parabolaiso/bootmnt/${parabolaisobasedir}/${arch}/airootfs.erofs" "/run/parabolaiso/airootfs"
- fi
- if [ -f "/run/parabolaiso/airootfs/airootfs.img" ]; then
- _mnt_dmsnapshot "/run/parabolaiso/airootfs/airootfs.img" "${newroot}" "/"
- else
- _mnt_overlayfs "/run/parabolaiso/airootfs" "${newroot}" "/"
- fi
-
- if [ "${copytoram}" = "y" ]; then
- umount -d /run/parabolaiso/bootmnt
- rmdir /run/parabolaiso/bootmnt
- fi
-}
-
-# vim: set ft=sh:
diff --git a/parabolaiso/initcpio/hooks/parabolaiso_loop_mnt b/parabolaiso/initcpio/hooks/parabolaiso_loop_mnt
deleted file mode 100644
index f76d204..0000000
--- a/parabolaiso/initcpio/hooks/parabolaiso_loop_mnt
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/ash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-run_hook () {
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- [ -n "${img_label}" ] && img_dev="/dev/disk/by-label/${img_label}"
- [ -z "${img_flags}" ] && img_flags="defaults"
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ -n "${img_dev}" ] && [ -n "${img_loop}" ]; then
- export mount_handler="parabolaiso_loop_mount_handler"
- fi
-}
-
-parabolaiso_loop_mount_handler () {
- newroot="${1}"
-
- local _dev_loop
-
- msg ":: Setup a loop device from ${img_loop} located at device ${img_dev}"
- _mnt_dev "${img_dev}" "/run/parabolaiso/img_dev" "-r" "${img_flags}"
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ "${copytoram}" != "y" ]; then
- readlink -f "${img_dev}" >> /run/parabolaiso/used_block_devices
- fi
-
- if _dev_loop=$(losetup --find --show --read-only "/run/parabolaiso/img_dev/${img_loop}"); then
- export parabolaisodevice="${_dev_loop}"
- else
- echo "ERROR: Setting loopback device for file '/run/parabolaiso/img_dev/${img_loop}'"
- launch_interactive_shell
- fi
-
- parabolaiso_mount_handler "${newroot}"
-
- if [ "${copytoram}" = "y" ]; then
- losetup -d "${_dev_loop}" 2>/dev/null
- umount /run/parabolaiso/img_dev
- fi
-}
-
-# vim: set ft=sh:
diff --git a/parabolaiso/initcpio/hooks/parabolaiso_pxe_common b/parabolaiso/initcpio/hooks/parabolaiso_pxe_common
deleted file mode 100644
index bbe705e..0000000
--- a/parabolaiso/initcpio/hooks/parabolaiso_pxe_common
+++ /dev/null
@@ -1,81 +0,0 @@
-#!/bin/ash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-run_hook () {
- # Do *not* declare 'bootif_dev' local! We need it in run_latehook().
- local i net_mac bootif_mac
- local DNSDOMAIN HOSTNAME IPV4DNS0 IPV4DNS1 ROOTSERVER
- # These variables will be parsed from /tmp/net-*.conf generated by ipconfig
- # shellcheck disable=SC2034
- local DEVICE IPV4ADDR IPV4BROADCAST IPV4NETMASK IPV4GATEWAY NISDOMAIN ROOTPATH filename
-
- if [ -n "${ip}" ]; then
- if [ -n "${BOOTIF}" ]; then
- bootif_mac="${BOOTIF#01-}"
- # shellcheck disable=SC2169,SC3060
- # ash supports bash-like string replacment
- bootif_mac="${bootif_mac//-/:}"
- for i in /sys/class/net/*/address; do
- read -r net_mac < "${i}"
- if [ "${bootif_mac}" = "${net_mac}" ]; then
- bootif_dev=${i#/sys/class/net/}
- bootif_dev=${bootif_dev%/address}
- break
- fi
- done
- if [ "${ip}" = "dhcp" ]; then
- ip=":::::${bootif_dev}:dhcp"
- else
- ip="${ip}::${bootif_dev}"
- fi
- fi
-
- # setup network and save some values
- if ! ipconfig -t 20 "ip=${ip}"; then
- echo "ERROR; Failed to configure network"
- echo " Falling back to interactive prompt"
- echo " You can try to fix the problem manually, log out when you are finished"
- launch_interactive_shell
- fi
-
- # shellcheck disable=SC1090
- # ipconfig generates these files
- . /tmp/net-*.conf
-
- export pxeserver="${ROOTSERVER}"
-
- # setup DNS resolver
- if [ "${IPV4DNS0}" != "0.0.0.0" ]; then
- echo "# added by parabolaiso_pxe_common hook" > /etc/resolv.conf
- echo "nameserver ${IPV4DNS0}" >> /etc/resolv.conf
- fi
- if [ "${IPV4DNS1}" != "0.0.0.0" ]; then
- echo "nameserver ${IPV4DNS1}" >> /etc/resolv.conf
- fi
- if [ -n "${DNSDOMAIN}" ]; then
- echo "search ${DNSDOMAIN}" >> /etc/resolv.conf
- echo "domain ${DNSDOMAIN}" >> /etc/resolv.conf
- fi
- fi
-}
-
-run_latehook () {
- if [ -n "${ip}" ]; then
- [ -z "${copy_resolvconf}" ] && copy_resolvconf="y"
-
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ "${copytoram}" = "y" ]; then
- if [ -n "${bootif_dev}" ]; then
- ip addr flush dev "${bootif_dev}"
- ip link set "${bootif_dev}" down
- fi
- elif [ "${copy_resolvconf}" != "n" ] && [ -f /etc/resolv.conf ]; then
- rm -f /new_root/etc/resolv.conf
- cp /etc/resolv.conf /new_root/etc/resolv.conf
- fi
- fi
-}
-
-# vim: set ft=sh:
diff --git a/parabolaiso/initcpio/hooks/parabolaiso_pxe_http b/parabolaiso/initcpio/hooks/parabolaiso_pxe_http
deleted file mode 100644
index 68eaad6..0000000
--- a/parabolaiso/initcpio/hooks/parabolaiso_pxe_http
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/ash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-run_hook() {
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ -n "${ip}" ] && [ -n "${parabolaiso_http_srv}" ]; then
-
- # booting with http is always copy-to-ram, so set here to make sure
- # addresses are flushed and interface is set down
- export copytoram="y"
-
- parabolaiso_http_srv=$(eval echo "${parabolaiso_http_srv}")
- [ -z "${parabolaiso_http_spc}" ] && parabolaiso_http_spc="75%"
-
- export mount_handler="parabolaiso_pxe_http_mount_handler"
- fi
-}
-
-# Fetch a file with CURL
-#
-# $1 URL
-# $2 Destination directory inside httpspace/${parabolaisobasedir}
-_curl_get() {
- local _url="${1}"
- local _dst="${2}"
-
- msg ":: Downloading '${_url}'"
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if ! curl -L -f -o "/run/parabolaiso/httpspace/${parabolaisobasedir}${_dst}/${_url##*/}" --create-dirs "${_url}"; then
- echo "ERROR: Downloading '${_url}'"
- echo " Falling back to interactive prompt"
- echo " You can try to fix the problem manually, log out when you are finished"
- launch_interactive_shell
- fi
-}
-
-parabolaiso_pxe_http_mount_handler () {
- newroot="${1}"
- local img_type="sfs"
-
- msg ":: Mounting /run/parabolaiso/httpspace (tmpfs) filesystem, size='${parabolaiso_http_spc}'"
- mkdir -p "/run/parabolaiso/httpspace"
- mount -t tmpfs -o size="${parabolaiso_http_spc}",mode=0755 httpspace "/run/parabolaiso/httpspace"
-
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if ! curl -L -f -o /dev/null -s -r 0-0 "${parabolaiso_http_srv}${parabolaisobasedir}/${arch}/airootfs.sfs"; then
- if curl -L -f -o /dev/null -s -r 0-0 "${parabolaiso_http_srv}${parabolaisobasedir}/${arch}/airootfs.erofs"; then
- img_type="erofs"
- fi
- fi
- _curl_get "${parabolaiso_http_srv}${parabolaisobasedir}/${arch}/airootfs.${img_type}" "/${arch}"
-
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ "${checksum}" = "y" ]; then
- _curl_get "${parabolaiso_http_srv}${parabolaisobasedir}/${arch}/airootfs.sha512" "/${arch}"
- fi
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ "${verify}" = "y" ]; then
- _curl_get "${parabolaiso_http_srv}${parabolaisobasedir}/${arch}/airootfs.${img_type}.sig" "/${arch}"
- fi
-
- mkdir -p "/run/parabolaiso/bootmnt"
- mount -o bind /run/parabolaiso/httpspace /run/parabolaiso/bootmnt
-
- parabolaiso_mount_handler "${newroot}"
-}
-
-# vim: set ft=sh:
diff --git a/parabolaiso/initcpio/hooks/parabolaiso_pxe_nbd b/parabolaiso/initcpio/hooks/parabolaiso_pxe_nbd
deleted file mode 100644
index b8c1e53..0000000
--- a/parabolaiso/initcpio/hooks/parabolaiso_pxe_nbd
+++ /dev/null
@@ -1,53 +0,0 @@
-#!/bin/ash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-run_earlyhook() {
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ -n "${ip}" ] && [ -n "${parabolaiso_nbd_srv}" ]; then
- # Module autoloading like with loop devices does not work, doing manually...
- modprobe nbd 2> /dev/null
- fi
-}
-
-run_hook() {
- if [ -n "${ip}" ] && [ -n "${parabolaiso_nbd_srv}" ]; then
-
- parabolaiso_nbd_srv=$(eval echo "${parabolaiso_nbd_srv}")
- [ -z "${parabolaiso_nbd_name}" ] && parabolaiso_nbd_name="parabolaiso"
-
- export mount_handler="parabolaiso_pxe_nbd_mount_handler"
- fi
-}
-
-parabolaiso_pxe_nbd_mount_handler () {
- newroot="${1}"
-
- msg ":: Waiting for boot device..."
- while ! poll_device /dev/nbd0 30; do
- echo "ERROR: boot device didn't show up after 30 seconds..."
- echo " Falling back to interactive prompt"
- echo " You can try to fix the problem manually, log out when you are finished"
- launch_interactive_shell
- done
-
- msg ":: Setup NBD from ${parabolaiso_nbd_srv} at /dev/nbd0"
- if [ "${copytoram}" != "n" ]; then
- nbd-client "${parabolaiso_nbd_srv}" -N "${parabolaiso_nbd_name}" /dev/nbd0
- copytoram="y"
- else
- nbd-client "${parabolaiso_nbd_srv}" -N "${parabolaiso_nbd_name}" -systemd-mark -persist /dev/nbd0
- fi
-
- export parabolaisodevice=/dev/nbd0
-
- parabolaiso_mount_handler "${newroot}"
-
- if [ "${copytoram}" = "y" ]; then
- msg ":: Disconnect NBD from ${parabolaiso_nbd_srv} at /dev/nbd0"
- nbd-client -d /dev/nbd0
- fi
-}
-
-# vim: set ft=sh:
diff --git a/parabolaiso/initcpio/hooks/parabolaiso_pxe_nfs b/parabolaiso/initcpio/hooks/parabolaiso_pxe_nfs
deleted file mode 100644
index 815e33b..0000000
--- a/parabolaiso/initcpio/hooks/parabolaiso_pxe_nfs
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/ash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-run_hook() {
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ -n "${ip}" ] && [ -n "${parabolaiso_nfs_srv}" ]; then
-
- parabolaiso_nfs_srv=$(eval echo "${parabolaiso_nfs_srv}")
-
- export mount_handler="parabolaiso_nfs_mount_handler"
- fi
-}
-
-parabolaiso_nfs_mount_handler() {
- local mount_status
- newroot="${1}"
- mkdir -p "/run/parabolaiso/bootmnt"
- msg ":: Mounting '${parabolaiso_nfs_srv}'"
- # shellcheck disable=SC2154
- # defined via initcpio's parse_cmdline()
- if [ -n "${parabolaiso_nfs_opt}" ]; then
- nfsmount -o "${parabolaiso_nfs_opt}" "${parabolaiso_nfs_srv}" "/run/parabolaiso/bootmnt"
- mount_status=$?
- else
- nfsmount "${parabolaiso_nfs_srv}" "/run/parabolaiso/bootmnt"
- mount_status=$?
- fi
- if [ $mount_status -gt 0 ]; then
- echo "ERROR: Mounting '${parabolaiso_nfs_srv}'"
- echo " Falling back to interactive prompt"
- echo " You can try to fix the problem manually, log out when you are finished"
- launch_interactive_shell
- fi
-
- if [ "${copytoram}" != "n" ]; then
- copytoram="y"
- fi
-
- parabolaiso_mount_handler "${newroot}"
-}
-
-# vim: set ft=sh:
diff --git a/parabolaiso/initcpio/hooks/parabolaiso_shutdown b/parabolaiso/initcpio/hooks/parabolaiso_shutdown
deleted file mode 100644
index ebb6b11..0000000
--- a/parabolaiso/initcpio/hooks/parabolaiso_shutdown
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/ash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-run_cleanuphook() {
- rm -rf /usr/lib/modules
- cp -ax / /run/initramfs
-}
-
-# vim: set ft=sh:
diff --git a/parabolaiso/initcpio/install/parabolaiso b/parabolaiso/initcpio/install/parabolaiso
deleted file mode 100644
index 21af5b8..0000000
--- a/parabolaiso/initcpio/install/parabolaiso
+++ /dev/null
@@ -1,36 +0,0 @@
-#!/usr/bin/env bash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-build() {
- add_module "cdrom"
- add_module "loop"
- add_module "dm-snapshot"
- add_module "overlay"
-
- add_runscript
-
- add_binary /usr/lib/udev/cdrom_id
- add_binary blockdev
- add_binary dmsetup
- add_binary losetup
- add_binary mountpoint
- add_binary truncate
- add_binary gpg
- add_binary grep
-
- if command -v pv > /dev/null 2>&1; then
- add_binary pv
- else
- warning 'pv not found; falling back to cp for copy to RAM'
- fi
-
- add_file /usr/lib/udev/rules.d/60-cdrom_id.rules
- add_file /usr/lib/udev/rules.d/10-dm.rules
- add_file /usr/lib/udev/rules.d/95-dm-notify.rules
- add_file /usr/lib/initcpio/udev/11-dm-initramfs.rules /usr/lib/udev/rules.d/11-dm-initramfs.rules
- if [[ $PARABOLAISO_GNUPG_FD ]]; then
- mkdir -m 0700 -- "$BUILDROOT/gpg"
- gpg --homedir "$BUILDROOT/gpg" --import <& "$PARABOLAISO_GNUPG_FD"
- fi
-}
diff --git a/parabolaiso/initcpio/install/parabolaiso_kms b/parabolaiso/initcpio/install/parabolaiso_kms
deleted file mode 100644
index 8129127..0000000
--- a/parabolaiso/initcpio/install/parabolaiso_kms
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/usr/bin/env bash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-build() {
- add_module "amdgpu"
- add_module "radeon"
- add_module "nouveau"
- add_module "i915"
- add_module "mgag200"
- add_module "via-agp"
- add_module "sis-agp"
- add_module "intel-agp"
-
- if [[ $(uname -m) == i686 ]]; then
- add_module "amd64-agp"
- add_module "ati-agp"
- add_module "sworks-agp"
- add_module "ali-agp"
- add_module "amd-k7-agp"
- add_module "nvidia-agp"
- add_module "efficeon-agp"
- fi
-}
-
-help() {
- cat << HELPEOF
-Adds all common KMS drivers to the initramfs image.
-HELPEOF
-}
diff --git a/parabolaiso/initcpio/install/parabolaiso_loop_mnt b/parabolaiso/initcpio/install/parabolaiso_loop_mnt
deleted file mode 100644
index 1f2c529..0000000
--- a/parabolaiso/initcpio/install/parabolaiso_loop_mnt
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/usr/bin/env bash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-build() {
- add_runscript
-}
-
-help() {
-cat<<HELPEOF
- This hook loads the necessary modules for boot via loop device.
-HELPEOF
-}
diff --git a/parabolaiso/initcpio/install/parabolaiso_pxe_common b/parabolaiso/initcpio/install/parabolaiso_pxe_common
deleted file mode 100644
index 458fa69..0000000
--- a/parabolaiso/initcpio/install/parabolaiso_pxe_common
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/usr/bin/env bash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-build() {
- add_checked_modules -f "(irda|phy|wimax|wireless|ppp_|plip|pppoe)" "/drivers/net/"
-
- add_runscript
-
- add_binary /usr/lib/initcpio/ipconfig /bin/ipconfig
-
- # Add hosts support files+dns
- add_symlink /usr/lib/libnss_files.so.2 "$(readlink /usr/lib/libnss_files.so.2)"
- add_binary "$(readlink -f /usr/lib/libnss_files.so.2)"
- add_symlink /usr/lib/libnss_dns.so.2 "$(readlink /usr/lib/libnss_dns.so.2)"
- add_binary "$(readlink -f /usr/lib/libnss_dns.so.2)"
-
- add_dir /etc
- echo "hosts: files dns" > "$BUILDROOT/etc/nsswitch.conf"
-}
-
-help() {
-cat<<HELPEOF
- This hook loads the necessary modules for boot via PXE.
-HELPEOF
-}
diff --git a/parabolaiso/initcpio/install/parabolaiso_pxe_http b/parabolaiso/initcpio/install/parabolaiso_pxe_http
deleted file mode 100644
index 1e80852..0000000
--- a/parabolaiso/initcpio/install/parabolaiso_pxe_http
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/usr/bin/env bash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-build() {
- add_runscript
-
- add_binary curl
-
- add_file "$(readlink -f /etc/ssl/certs/ca-certificates.crt)" /etc/ssl/certs/ca-certificates.crt
-}
-
-help() {
-cat<<HELPEOF
- This hook loads the necessary modules for boot via PXE and HTTP.
-HELPEOF
-}
diff --git a/parabolaiso/initcpio/install/parabolaiso_pxe_nbd b/parabolaiso/initcpio/install/parabolaiso_pxe_nbd
deleted file mode 100644
index b4fb3b6..0000000
--- a/parabolaiso/initcpio/install/parabolaiso_pxe_nbd
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/usr/bin/env bash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-build() {
- add_module "nbd"
-
- add_runscript
-
- add_binary nbd-client
-}
-
-help() {
-cat<<HELPEOF
- This hook loads the necessary modules for boot via PXE and NBD.
-HELPEOF
-}
diff --git a/parabolaiso/initcpio/install/parabolaiso_pxe_nfs b/parabolaiso/initcpio/install/parabolaiso_pxe_nfs
deleted file mode 100644
index efd609d..0000000
--- a/parabolaiso/initcpio/install/parabolaiso_pxe_nfs
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/usr/bin/env bash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-build() {
- add_module "nfs"
-
- add_runscript
-
- add_binary /usr/lib/initcpio/nfsmount /bin/nfsmount
-}
-
-help() {
- cat <<HELPEOF
- This hook loads the necessary modules for boot via PXE and NFS.
-HELPEOF
-}
diff --git a/parabolaiso/initcpio/install/parabolaiso_shutdown b/parabolaiso/initcpio/install/parabolaiso_shutdown
deleted file mode 100644
index f99c8c9..0000000
--- a/parabolaiso/initcpio/install/parabolaiso_shutdown
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/usr/bin/env bash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-build() {
- add_binary cp
-
- add_runscript
-
- add_file /usr/lib/initcpio/parabolaiso_shutdown /shutdown
-}
-
-help() {
- cat <<HELPEOF
-This hook will create a shutdown initramfs in /run/initramfs
-that we can pivot to on shutdown in order to unmount / and
-and other mount points, dm-snapshot and loopback devices.
-Mostly useful for persistent dm-snapshot.
-HELPEOF
-}
diff --git a/parabolaiso/initcpio/script/parabolaiso_shutdown b/parabolaiso/initcpio/script/parabolaiso_shutdown
deleted file mode 100644
index d12cd90..0000000
--- a/parabolaiso/initcpio/script/parabolaiso_shutdown
+++ /dev/null
@@ -1,41 +0,0 @@
-#!/bin/ash
-#
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-# /oldroot depends on things inside /oldroot/run/parabolaiso...
-mkdir /oldrun
-mount -n --move /oldroot/run /oldrun
-
-# Unmount all mounts now.
-umount "$(mount | awk '$3 ~/^\/oldroot/ {print $3}' | sort -r)"
-
-# Remove all dm-snapshot devices.
-dmsetup remove_all
-
-# Remove all loopback devices.
-for _lup in $(grep ^/dev/loop /oldrun/parabolaiso/used_block_devices | tac); do
- if ! losetup -d -- "${_lup}" 2> /dev/null; then
- umount -d -- "${_lup}"
- fi
-done
-
-# Unmount the space used to store *.cow.
-umount /oldrun/parabolaiso/cowspace
-
-# Unmount boot device if needed (no copytoram=y used)
-if [ ! -d /oldrun/parabolaiso/copytoram ]; then
- if [ -d /oldrun/parabolaiso/img_dev ]; then
- umount /oldrun/parabolaiso/img_dev
- else
- umount /oldrun/parabolaiso/bootmnt
- fi
-fi
-
-# reboot / poweroff / halt, depending on the argument passed by init
-# if something invalid is passed, we halt
-case "$1" in
- reboot|poweroff|halt) "$1" -f ;;
- *) halt -f;;
-esac
-
-# vim: set ft=sh: